Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157279 - firefox launcher script should not direct stdout, stderr to /dev/null
Summary: firefox launcher script should not direct stdout, stderr to /dev/null
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 8
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Martin Stransky
QA Contact:
URL:
Whiteboard: pleaForReproductionFF3
Depends On:
Blocks: F9Target
TreeView+ depends on / blocked
 
Reported: 2005-05-10 05:02 UTC by Braden McDaniel
Modified: 2018-04-11 13:30 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-04-09 15:04:04 UTC


Attachments (Terms of Use)
Patch that would add -debug argument to firefox launcher script (deleted)
2007-01-04 18:46 UTC, Baris Cicek
no flags Details | Diff

Description Braden McDaniel 2005-05-10 05:02:07 UTC
With stdout and stderr directed to /dev/null, it becomes unreasonably difficult
to get useful information from the process (and any subprocesses).

Comment 1 Matthew Miller 2006-07-10 21:23:03 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 2 Braden McDaniel 2006-07-10 21:43:28 UTC
Still a problem in FC5.

Comment 3 Braden McDaniel 2006-11-26 06:47:33 UTC
Still a problem in FC6.

Comment 4 Baris Cicek 2007-01-04 18:46:07 UTC
Created attachment 144829 [details]
Patch that would add -debug argument to firefox launcher script

Comment 5 Baris Cicek 2007-01-04 18:48:40 UTC
Comment on attachment 144829 [details]
Patch that would add -debug argument to firefox launcher script

This patch adds -debug argument to firefox launcher script and if this argument
is given directs all output and errors to /dev/stdout else it directs to
/dev/null. Even though running firefox, not directing output to /dev/null, does
not give much more feedback, this might fix the bug if it's not wontfix.

Comment 6 Braden McDaniel 2007-01-12 01:38:29 UTC
(In reply to comment #5)
> This patch adds -debug argument to firefox launcher script and if this argument
> is given directs all output and errors to /dev/stdout else it directs to
> /dev/null. Even though running firefox, not directing output to /dev/null, does
> not give much more feedback,

Well, one would hope that it's not very noisy. In general, a properly running
GUI program shouldn't be spewing a lot of console output.

> this might fix the bug if it's not wontfix. 
 
I don't see how the script isn't simply broken. Swallowing output like this is
Not Nice.


Comment 7 Matěj Cepl 2007-12-10 09:23:12 UTC
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Xorg or
Gecko. If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]

Comment 8 Braden McDaniel 2007-12-10 09:46:48 UTC
Still an issue in Fedora 8.

Comment 9 Matěj Cepl 2008-02-08 20:42:58 UTC
Since this bugzilla report was filed, we have seriously upgraded Gecko-related
packages, which may have resolved this issue. Users who have experienced this
problem are encouraged to upgrade their system to the latest version of their
distribution available.

Please, confirm to us that this bug is reproducible on the latest upgrade of the
supported distribution (that's RHEL, or Fedora 7, 8, and Rawhide).

Setting the bug to NEEDINFO. If I won't get confirmation of reproducability in
30 days, the bug will be closed as INSUFFICIENT_DATA.

[This is mass-changing of bugs which seem to be too old and irrelevant anymore;
we are sorry, if this bug should not be incldued.]

Comment 10 Braden McDaniel 2008-02-17 05:39:11 UTC
Still an issue.

Comment 11 Matěj Cepl 2008-02-21 22:35:40 UTC
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.

Comment 12 Matěj Cepl 2008-02-21 22:36:50 UTC
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.

Comment 13 Christopher Aillon 2008-02-22 06:30:11 UTC
Packaging bug.  Adding to F9Target.

Comment 14 Martin Stransky 2008-02-22 09:28:10 UTC
i'll take it

Comment 15 Martin Stransky 2008-03-04 07:58:45 UTC
Can you please check the F9 package? (firefox 3). Seems to be fixed.

Comment 16 Matěj Cepl 2008-04-09 12:25:32 UTC
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

Comment 17 Braden McDaniel 2008-04-09 14:35:11 UTC
You don't *have* to do any such thing.

I'm not in a position to test a development Firefox package at this time. I'll
be happy to review this once F9 is released. If that feedback isn't valuable to
you, do as you will.


Comment 18 Martin Stransky 2008-04-09 15:04:04 UTC
Fixed for me. Please reopen if the final package contains this issue.


Note You need to log in before you can comment on or make changes to this bug.